%define compatv 72
%{?compatv:%define compatfv 7.2}
%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: PHP %{?compatfv} recode extension
Summary(ko): PHP %{?compatfv} recode 확장
Name: php%{?compatv}-recode
Version: 7.2.2
Release: 1%{?dist}
Epoch: 100
Group: Development/Languages
License: PHP
Source0: recode-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api recode-devel
BuildRequires: php%{?compatv}-devel recode

%description
PHP recode APIs

%prep
%setup -q -n recode

%build

CFLAGS="${RPM_OPT_FLAGS}"

/usr/bin/phpize%{?compatv}
./configure --with-libdir=lib64

%{__make} %{?_smp_mflags}


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/recode.so %{buildroot}%{_extdir}/

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/recode.ini <<EOF
extension = recode.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/recode.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/recode.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/recode.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/recode.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 100:7.2.2-1%{?dist}
- update 7.2.2 recode extension

